import numpy as np
from cvxopt import matrix, solvers

# Solve the binary integer program using branch and bound
# Minimize Cx given Ax <= b and all xs are binary
# Note that A does not restrict the varibles to integer values
#
# A: mxn 2d list specifying constraints
# B: m 1d list specifying constraints
# C: n 1d list specifying the optimization function
#
# returns (val, var, expandlist)
# val is the value of the objective (None if no feasible assignment)
# var is a variable assignment list (None if no feasible assignment)
# expandlist: list of expanded nodes specified by assigned variables

def solve(A, B, C):
    pass
